.switch {
  position: relative;
  width: 36px;
  height: 24px;
  cursor: pointer;
  display: inline;

  &__bar {
    left: 1px;
    width: 34px;
    top: 5px;
    height: 14px;
    border-radius: 8px;
    position: absolute;
    background-color: #fff;
    opacity: .5;
  }

  &__thumb {
    transition: all linear .2s;
    margin: 0;
    outline: none;
    height: 20px;
    width: 20px;
    position: absolute;
    left: 0;
    top: 2px;
    border-radius: 50%;
    background-color: #fff;
    line-height: 28px;
  }
}

.switch--active {
  .switch {
    &__bar {
      background-color: #ff8104;
    }
    &__thumb {
      background-color: #ff8104;
      left: 16px;
    }

  }
}